summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/univga-font/README17
-rw-r--r--system/univga-font/buildfix.diff24
-rw-r--r--system/univga-font/doinst.sh17
-rw-r--r--system/univga-font/slack-desc19
-rw-r--r--system/univga-font/univga-font.SlackBuild77
-rw-r--r--system/univga-font/univga-font.info10
6 files changed, 164 insertions, 0 deletions
diff --git a/system/univga-font/README b/system/univga-font/README
new file mode 100644
index 0000000000..8550419cbf
--- /dev/null
+++ b/system/univga-font/README
@@ -0,0 +1,17 @@
+univga-font (unicode terminal font)
+
+UNI-VGA is a Unicode VGA font for X11 and console. It is primarily
+intended to be the single source of fonts for console and for XDosEmu.
+
+One of the aims while creating the font was its internal consistency. For
+example, accented glyphs shouldn't differ too much from unaccented ones,
+as it was in original IBM's VGA font. It also allowed to render Latin
+Extended Additional glyphs with two accents, which was impossible with
+IBM's accents' size.
+
+X11 calls the font "-bolkhov-vga-medium-r-normal--16-160-75-75-c-80-iso10646-1"
+and an alias called "univga" is added, so you can say e.g. "xterm -fn univga".
+
+Also 3 varieties of the font are installed for use with the Linux console:
+AsianCyr-vga-8x16, WinCyr-vga-8x16, and UniCyrX-vga-8x16. They can be
+used in /etc/rc.d/rc.font, but won't show up in the setconsolefont menu.
diff --git a/system/univga-font/buildfix.diff b/system/univga-font/buildfix.diff
new file mode 100644
index 0000000000..2a4bacf1d4
--- /dev/null
+++ b/system/univga-font/buildfix.diff
@@ -0,0 +1,24 @@
+diff -wNaur uni_vga/Makefile uni_vga.patched/Makefile
+--- uni_vga/Makefile 2000-07-13 00:00:12.000000000 -0400
++++ uni_vga.patched/Makefile 2014-05-26 14:35:42.000000000 -0400
+@@ -15,7 +15,7 @@
+ SIZE= 16
+
+ %-$(FACE)-8x$(SIZE).psf: u_$(FACE)$(SIZE).bdf %.sfm
+- $(BDF2PSF) -s $*.sfm $< | psfaddtable -c $*.sfm -o $@ -
++ $(BDF2PSF) -s $*.sfm $< | psfaddtable - $*.sfm $@
+
+ .PHONY: default allfonts
+
+diff -wNaur uni_vga/bdf2psf.pl uni_vga.patched/bdf2psf.pl
+--- uni_vga/bdf2psf.pl 2000-07-20 03:28:10.000000000 -0400
++++ uni_vga.patched/bdf2psf.pl 2014-05-26 14:34:48.000000000 -0400
+@@ -42,7 +42,7 @@
+
+ sub ByteOf($)
+ {
+- return pack("c", $_[0]);
++ return pack("C", $_[0]);
+ }
+
+ sub ParseCommandline()
diff --git a/system/univga-font/doinst.sh b/system/univga-font/doinst.sh
new file mode 100644
index 0000000000..4316eac64c
--- /dev/null
+++ b/system/univga-font/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Update fonts.{dir,scale,alias}
+if [ -x /usr/bin/mkfontdir -a -x /usr/bin/mkfontscale ]; then
+ ( cd usr/share/fonts/misc
+ /usr/bin/mkfontscale .
+ /usr/bin/mkfontdir .
+ if ! grep -q '^univga\>' fonts.alias; then
+ echo 'univga -bolkhov-vga-medium-r-normal--16-160-75-75-c-80-iso10646-1' >> fonts.alias
+ fi
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/univga-font/slack-desc b/system/univga-font/slack-desc
new file mode 100644
index 0000000000..79e4dfc1e4
--- /dev/null
+++ b/system/univga-font/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+univga-font: univga-font (unicode terminal font)
+univga-font:
+univga-font: UNI-VGA is a Unicode VGA font for X11 and console. It is primarily
+univga-font: intended to be the single source of fonts for console and for XDosEmu.
+univga-font:
+univga-font:
+univga-font:
+univga-font:
+univga-font:
+univga-font:
+univga-font:
diff --git a/system/univga-font/univga-font.SlackBuild b/system/univga-font/univga-font.SlackBuild
new file mode 100644
index 0000000000..8a4f44caa0
--- /dev/null
+++ b/system/univga-font/univga-font.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for univga-font
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# VERSION taken from the datestamp of the tarball.
+
+PRGNAM=univga-font
+VERSION=${VERSION:-20021031}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+TARNAME=uni-vga
+DIRNAME=${TARNAME/-/_}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $DIRNAME
+tar xvf $CWD/$TARNAME.tgz
+cd $DIRNAME
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# modern perl needs a slight change to the bdf2psf.pl script, and modern
+# psfaddtable has different options than whatever this was written for.
+patch -p1 < $CWD/buildfix.diff
+
+# The console fonts. They're very similar to the ones shipped with the kbd
+# package, but not identical.
+make allfonts
+mkdir -p $PKG/usr/share/kbd/consolefonts/
+for i in *.psf; do
+ gzip -9c < $i > $PKG/usr/share/kbd/consolefonts/${i}u.gz
+done
+
+# The X font. Use with xterm or such, very nice.
+mkdir -p $PKG/usr/share/fonts/misc
+gzip -9c < u_vga16.bdf > $PKG/usr/share/fonts/misc/u_vga16.bdf.gz
+
+# thought about using PCF instead, it's a trade-off: the compiled PCF is
+# bigger than the BDF, and after gzipping both, it's still bigger. The
+# BDF supposedly takes longer to load when first accessed, but I doubt
+# anyone's got a slow enough system to notice.
+
+#bdftopcf -t u_vga16.bdf | gzip -9c > $PKG/usr/share/fonts/misc/u_vga16.pcf.gz
+
+# include the converter script, someone might find it useful.
+mkdir -p $PKG/usr/bin
+install -m0755 bdf2psf.pl $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.lsm $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/univga-font/univga-font.info b/system/univga-font/univga-font.info
new file mode 100644
index 0000000000..b5dc60a78d
--- /dev/null
+++ b/system/univga-font/univga-font.info
@@ -0,0 +1,10 @@
+PRGNAM="univga-font"
+VERSION="20021031"
+HOMEPAGE="http://www.inp.nsk.su/~bolkhov/files/fonts/univga/index.html"
+DOWNLOAD="http://www.inp.nsk.su/~bolkhov/files/fonts/univga/uni-vga.tgz"
+MD5SUM="60fbba53cb0efec1363fcc5fb8c244d9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"